
package de.ivu.elect.presentation.security;

import java.io.Serializable;

import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;

/**
 * Prüft die Rechte eines Anwenders auf einem Gebiet
 */
@RequestScoped
public class GebietSecurity implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient EinsehenGebietSecurity einsehenGebietSecurity;

  @Inject
  private transient BearbeitenGebietSecurity bearbeitenGebietSecurity;

  public EinsehenGebietSecurity getEinsehenGebietSecurity() {
    return einsehenGebietSecurity;
  }

  public BearbeitenGebietSecurity getBearbeitenGebietSecurity() {
    return bearbeitenGebietSecurity;
  }
}
